Package org.jboss.resteasy.jose.jws.util

## Class Key.KeyStoreConfig

- java.lang.Object
- - org.jboss.resteasy.jose.jws.util.Key.KeyStoreConfig

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    Key

      public static class Key.KeyStoreConfig
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyStoreConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAlias()` |
    `String` | `getCertificateAlias()` |
    `String` | `getFile()` |
    `String` | `getPassword()` |
    `String` | `getPrivateKeyAlias()` |
    `String` | `getPrivateKeyPassword()` |
    `String` | `getResource()` |
    `String` | `getType()` |
    `void` | `setAlias​(String alias)` |
    `void` | `setCertificateAlias​(String certificateAlias)` |
    `void` | `setFile​(String file)` |
    `void` | `setPassword​(String password)` |
    `void` | `setPrivateKeyAlias​(String privateKeyAlias)` |
    `void` | `setPrivateKeyPassword​(String privateKeyPassword)` |
    `void` | `setResource​(String resource)` |
    `void` | `setType​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreConfig

          public KeyStoreConfig()

  - ### Method Detail

    - #### getFile

          public String getFile()

    - #### setFile

          public void setFile​(String file)

    - #### getResource

          public String getResource()

    - #### setResource

          public void setResource​(String resource)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword​(String password)

    - #### getPrivateKeyAlias

          public String getPrivateKeyAlias()

    - #### setPrivateKeyAlias

          public void setPrivateKeyAlias​(String privateKeyAlias)

    - #### getPrivateKeyPassword

          public String getPrivateKeyPassword()

    - #### setPrivateKeyPassword

          public void setPrivateKeyPassword​(String privateKeyPassword)

    - #### getCertificateAlias

          public String getCertificateAlias()

    - #### setCertificateAlias

          public void setCertificateAlias​(String certificateAlias)

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias​(String alias)